package com.liquidnet.service.kylin.service.partner;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.kylin.dto.param.CreateTicketTimesParam;
import com.liquidnet.service.kylin.dto.vo.partner.TicketTimesCreatePartnerVo;
import com.liquidnet.service.kylin.entity.KylinTicketTimes;

import java.util.List;

/**
 * <p>
 * 场次 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-06
 */
public interface IKylinTicketTimesPartnerService extends IService<KylinTicketTimes> {

    TicketTimesCreatePartnerVo createTimes(CreateTicketTimesParam createTicketTimesParam);

    Boolean deleteTimes(String ticketTimesId);

    TicketTimesCreatePartnerVo changeTimes(CreateTicketTimesParam createTicketTimesParam);

    List<TicketTimesCreatePartnerVo> getTimesMongoList(String performancesId);

    TicketTimesCreatePartnerVo getTimesMongo(String timesId);
}
